package com.sbh.background_locations.common

class Utils {
    companion object {
        /**
         * Convert frequency to microseconds.
         * @param hz
         * @return
         */
        fun hertz2periodUs(hz: Double): Int {
            return (1.0e6 / hz).toInt()
        }

        fun nano2milli(nano: Long): Long {
            return (nano / 1e6).toLong()
        }

        //todo move to some another better place
        var ACCELEROMETER_DEFAULT_DEVIATION = 0.1
        val SENSOR_POSITION_MIN_TIME = 500
        val GPS_MIN_TIME = 2000
        val GPS_MIN_DISTANCE = 0
        val SENSOR_DEFAULT_FREQ_HZ = 10.0
        val GEOHASH_DEFAULT_PREC = 6
        val GEOHASH_DEFAULT_MIN_POINT_COUNT = 2
        val DEFAULT_VEL_FACTOR = 1.0
        val DEFAULT_POS_FACTOR = 1.0
        //!!
    }

    enum class LogMessageType {
        KALMAN_ALLOC,
        KALMAN_PREDICT,
        KALMAN_UPDATE,
        GPS_DATA,
        ABS_ACC_DATA,
        FILTERED_GPS_DATA
    }
}
