package com.sbh.background_locations.streams

import android.app.Activity
import android.content.Context
import android.util.Log
import com.sbh.background_locations.BackgroundLocationsPlugin
import io.flutter.plugin.common.EventChannel
import io.flutter.plugin.common.PluginRegistry

open class StreamHandler : EventChannel.StreamHandler {
    private val TAG = "StreamHandler"
    var mActivity: Activity? = null
    var mContext: Context? = null
    var mEventSink: EventChannel.EventSink? = null
    var mEvent: String? = null

    fun register(registrar: PluginRegistry.Registrar) {
        mActivity = registrar.activity()
        mContext = registrar.context()
        val path = BackgroundLocationsPlugin.PLUGIN_ID + "/events/" + mEvent
        Log.d(TAG, path)

        EventChannel(registrar.messenger(), path).setStreamHandler(this)
    }

    override fun onListen(args: Any?, eventSink: EventChannel.EventSink) {
        Log.d(TAG, mEvent)
        mEventSink = eventSink
    }

    override fun onCancel(args: Any) {
//        BackgroundLocation.getInstance(mActivity).removeListener(mEvent, this)
    }
}
