library background_locations;

import 'dart:async';

import 'package:device_info/device_info.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

part 'background_location.dart';

part 'models/config.dart';

part 'models/event.dart';

part 'models/firebase_config.dart';

part 'models/geofence_event.dart';

part 'models/http_event.dart';

part 'models/location.dart';

part 'models/notification.dart';

part 'models/provider_change_event.dart';

part 'models/state.dart';

const _PLUGIN_PATH = "com.sbh/background_locations";

// MethodChannel
const MethodChannel _methodChannel =
    const MethodChannel("$_PLUGIN_PATH/methods");
