package com.sbh.background_locations.adapters

import org.json.JSONObject

class SBHDatabaseRefPath() {
    var path: String = ""
    var method: Int = UPDATE_METHOD_VALUE

    constructor(path: String, method: Int) : this() {
        this.path = path
        this.method = method
    }

    companion object {
        const val UPDATE_METHOD_VALUE: Int = 0
        const val UPDATE_METHOD_ADD: Int = 1
        
        fun fromJson(json: JSONObject): SBHDatabaseRefPath {
            return SBHDatabaseRefPath(
                    json.getString("path"),
                    json.getInt("method")
            )
        }
    }
}